Skip to content

Update the org request settings

Request

OAuth 2.0 scope:
  • okta.accessRequests.condition.manage
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Updates the request settings for the org

Bodyapplication/jsonrequired
subprocessorsAcknowledgedboolean(subprocessors-acknowledged)

Indicates that Access Requests provisioning was triggered by the customer (such as in Govern Okta admin roles)

resourceCatalogVisibilityobject(resource-catalog-visibility)

Settings for resource catalog visibility

integrationsobject(request-integrations)


Access Requests integration settings for the org

PATCH
/governance/api/v2/request-settings
curl -i -X PATCH \
  https://okta-subdomain.pixtulate.com/governance/api/v2/request-settings \
  -H 'Content-Type: application/json' \
  -d '{
    "subprocessorsAcknowledged": true
  }'

Responses

A successful org request settings patch response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
subprocessorsAcknowledgedboolean(subprocessors-acknowledged)

Indicates that Access Requests provisioning was triggered by the customer (such as in Govern Okta admin roles)

resourceCatalogVisibilityobject(resource-catalog-visibility)

Settings for resource catalog visibility

integrationsobject(request-integrations)


Access Requests integration settings for the org

Response
Request Settings for the org for patch example
{ "subprocessorsAcknowledged": true }